import React, {Component} from 'react'
import { withRouter } from 'react-router-dom'
import { ConfigProvider } from 'antd'
// import enUS from 'antd/es/locale/en_US'
import zhCN from 'antd/es/locale/zh_CN'

import Header from './header'
import Sidemenu from './sidemenu'
// import { setGLOBFuncs } from '@/utils/utils.js'

import '@/assets/css/design.scss'
import './index.scss'

class Design extends Component {
  state = {
    editLevel: false,
    mainMenu: null,
    unvalid: !sessionStorage.getItem('UserID'),
    menuTree: []
  }

  componentDidMount() {
    if (!sessionStorage.getItem('UserID')) {
      this.props.history.replace('/login')
      return
    }

    if (sessionStorage.getItem('isEditState') === 'true') {
      sessionStorage.removeItem('isEditState')
      this.props.history.replace('/main')
      window.location.reload()
    } else {
      sessionStorage.setItem('isEditState', 'true')
      window.GLOB.breakpoint = false
      window.GLOB.designView = true
      sessionStorage.removeItem('breakpoint')
      // setGLOBFuncs()
    }
  }

  resetEditLevel = (level) => {
    this.setState({editLevel: level})
  }
  
  modifyMenuTree = (menulist) => {
    this.setState({menuTree: menulist})
  }

  modifyMainMenu = (menu) => {
    this.setState({mainMenu: menu})
  }
  
  render () {
    const { editLevel, menuTree, mainMenu, unvalid } = this.state

    if (unvalid) return null

    return (
      <div className={'mk-main-view ' + (window.GLOB.systemType || '')}>
        <ConfigProvider locale={zhCN}>
          <Sidemenu key="sidemenu" editLevel={editLevel} menuTree={menuTree} mainMenu={mainMenu} resetEditLevel={this.resetEditLevel}/>
          <Header key="header" editLevel={editLevel} mainMenu={mainMenu} resetEditLevel={this.resetEditLevel} modifyMenuTree={this.modifyMenuTree} modifyMainMenu={this.modifyMainMenu}/>
        </ConfigProvider>
      </div>
    )
  }
}

export default withRouter(Design)